module Data.SMTP.Types.Seal where

import Data.ByteString (ByteString)

data Seal = Seal {
  cp :: ByteString,
  seal :: ByteString,
  nonce :: Maybe ByteString} deriving (Eq, Ord, Read, Show)

data SealAlgo = ED25519 deriving (Eq, Ord, Read, Show, Bounded, Enum)

cpHeaderName :: String
cpHeaderName = "FCMTP-SEAL-CP"
nonceHeaderName :: String
nonceHeaderName = "FCMTP-SEAL-NONCE"
sealHeaderName :: String
sealHeaderName = "FCMTP-SEAL"
